List API revisions
curl --request GET \
--url https://api.peel.sh/v1/apis/{api_id}/revisions \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.peel.sh/v1/apis/{api_id}/revisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.peel.sh/v1/apis/{api_id}/revisions"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"api_id": "<string>",
"builds": [
{
"id": "<string>",
"kind": "build",
"status": "queued",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"user_input_prompt": {},
"progress": [
{}
],
"failure": {
"category": "access_policy",
"code": "<string>",
"message": "<string>",
"recommended_action": "contact_support",
"refund_reviewable": true,
"retryable": true,
"support_debug_id": "<string>",
"technical_reason": "<string>"
},
"version_id": "<string>",
"draft": true
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"instance": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry": "same_key",
"docs_url": "<string>",
"details": {}
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"instance": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry": "same_key",
"docs_url": "<string>",
"details": {}
}Build and manage APIs
List API revisions
GET
/
v1
/
apis
/
{api_id}
/
revisions
List API revisions
curl --request GET \
--url https://api.peel.sh/v1/apis/{api_id}/revisions \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.peel.sh/v1/apis/{api_id}/revisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.peel.sh/v1/apis/{api_id}/revisions"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"api_id": "<string>",
"builds": [
{
"id": "<string>",
"kind": "build",
"status": "queued",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"user_input_prompt": {},
"progress": [
{}
],
"failure": {
"category": "access_policy",
"code": "<string>",
"message": "<string>",
"recommended_action": "contact_support",
"refund_reviewable": true,
"retryable": true,
"support_debug_id": "<string>",
"technical_reason": "<string>"
},
"version_id": "<string>",
"draft": true
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"instance": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry": "same_key",
"docs_url": "<string>",
"details": {}
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"instance": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry": "same_key",
"docs_url": "<string>",
"details": {}
}Query Parameters
⌘I